From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1505143-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id D178815ACB4
	for <garchives@archives.gentoo.org>; Fri,  7 Apr 2023 11:26:00 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id E533EE08BD;
	Fri,  7 Apr 2023 11:25:59 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [140.211.166.183])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id CB1CBE08BD
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 11:25:59 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id B44A9335D63
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 11:25:58 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id A2A9FA22
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 11:25:55 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1680866687.c74d15106f9697b61b26186ea345b33667d77420.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/activemodel/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild
X-VCS-Directories: dev-ruby/activemodel/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: c74d15106f9697b61b26186ea345b33667d77420
X-VCS-Branch: master
Date: Fri,  7 Apr 2023 11:25:55 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 874e5272-76e6-4e6c-a116-81cf11f1b5b0
X-Archives-Hash: 3b72bce8841a8a53132141556d6bf571

commit:     c74d15106f9697b61b26186ea345b33667d77420
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 06:15:55 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 11:24:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c74d1510

dev-ruby/activemodel: enable ruby32 for 7.0.x

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild | 43 ++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild b/dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild
new file mode 100644
index 000000000000..62707fb49444
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-7.0.4.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+	~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+	test? (
+		~dev-ruby/railties-${PV}
+		dev-ruby/test-unit:2
+		dev-ruby/mocha
+		>=dev-ruby/bcrypt-ruby-3.1.7
+		<dev-ruby/minitest-5.16:*
+	)"
+
+all_ruby_prepare() {
+	# Set test environment to our hand.
+	sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove load paths"
+}